=== debian/control ===
Source: unadf
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: http://lclevy.free.fr/adflib/unadf.html
Rules-Requires-Root: no

Package: unadf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Extract files from an Amiga Disk File dump (.adf)
 Tool for extracting and listing files in an Amiga Disk File.
 .
 Amiga Disk File aka ADF is a file format used by Amiga computers and emulators
 to store images of disks. ADF is not really a file format but actually a
 track-by-track dump of the disk data as read by the Amiga operating system,
 and so the "format" is really fixed-width AmigaDOS data tracks appended one
 after another and held in a file.
