=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -DLib
	dh_auto_build -DDemo

override_dh_auto_clean:
	[ ! -f Lib/adf_salv.o ] || dh_auto_clean -DLib
	[ ! -f Demo/unadf.o ] || dh_auto_clean -DDemo
	rm -f Lib/libadf.a
	rm -f build-stamp

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt
